package cn.rankin.common.utils.annotation.mvc;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 类名：ApiVerifyLevel  <br />
 *
 * 功能：api 接口的 验证拦截力度
 *
 * @author tomas
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface ApiVerifyLevel {

	public static String NEED_HEADER ="need_header";
	public static String NEED_TOKEN ="need_token";
	public static String NEED_NONE ="ignore_all";
	/**
     * 功能：参数名 <br/>
	 *
	 * @author tomas <br/>
	 * @version 2017年10月27日 下午4:45:55 <br/>
	 */
	String[] level() default NEED_NONE;
	
	
}