package cn.rankin.common.utils.entity.api;

public class APICodeManager {

    public final static int _C_OK = 200 ;
    public final static APICode OK = new APICode(_C_OK, null);

    public final static int _C_ACCESS_DENIED = 403;
    public final static APICode ACCESS_DENIED  = new APICode(_C_ACCESS_DENIED, "访问被拒绝");

    public final static int _C_NOT_FOUND = 404 ;
    public final static APICode NOT_FOUND = new APICode(_C_NOT_FOUND, "资源不存在");

    public final static int _C_SERVER_ERROR = 500;
    public final static APICode SERVER_ERROR = new APICode(_C_SERVER_ERROR, "请求处理异常");

    public final static int _C_PARAMETER_ERROR = 400;
    public final static APICode PARAMETER_ERROR = new APICode(_C_PARAMETER_ERROR, "参数错误");

    public final static int _C_REMOTE_SERVER_ERROR = 600;
    public final static APICode REMOTE_SERVER_ERROR = new APICode(_C_REMOTE_SERVER_ERROR, "远程服务器错误");

    public final static int _C_ALREADY_EXISTS = 700;
    public final static APICode ALREADY_EXISTS = new APICode(_C_ALREADY_EXISTS, "数据已存在");

}