package cn.rankin.common.utils.enums;

public enum ItemTypeEnum {

    COURSE("课程"), SUPPORT("周边");

    private String desc;

    ItemTypeEnum(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public static ItemTypeEnum getByName(String name) {
        for (ItemTypeEnum itemType : values()) {
            if (itemType.name().equals(name)) {
                return itemType;
            }
        }
        return null;
    }
}
