package cn.rankin.productservice.entity;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.sql.Timestamp;

@Data
@ToString
@Entity
@Table(name = "lj_combo")
@DynamicInsert
@DynamicUpdate
public class Combo implements Serializable {

    @Id
    private Long id;

    @Column(name = "merchant_id")
    private Long merchantId;

    @Column
    private String name;

    @Column
    private String digest;

    @Column(name = "cv_img_ids")
    private String cvImgIds;

    @Column(name = "dis_price")
    private Double disPrice;

    @Column
    private Integer sort;

    @Column
    private Integer status;

    @Column(name = "gmt_created")
    private Timestamp gmtCreated;

    @Column(name = "gmt_modified")
    private Timestamp gmtModified;
}
