package cn.rankin.productservice.entity;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.sql.Timestamp;

@Data
@ToString
@Entity
@Table(name = "lj_course_tag_relation")
@DynamicInsert
@DynamicUpdate
public class CourseTagRelation implements Serializable {

    @Id
    private Long id;

    @Column(name = "tag_code")
    private String tagCode;

    @Column(name = "course_code")
    private String courseCode;

    @Column(name = "gmt_created", insertable = false, updatable = false)
    private Timestamp gmtCreated;
}
