package cn.rankin.productservice.entity;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.sql.Timestamp;

@Data
@ToString
@Entity
@Table(name = "lj_lesson_ware_relation")
@DynamicInsert
@DynamicUpdate
public class LessonWareRelation implements Serializable{

    @Id
    private Long id;

    @Column(name = "lesson_code")
    private String lessonCode;

    @Column(name = "ware_code")
    private String wareCode;

    @Column(name = "gmt_created", updatable = false, insertable = false)
    private Timestamp gmtCreated;
}
